com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class JceMacs.Entry

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceMacFactory.Entry
  - - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceMacs.Entry

- Enclosing class:
    JceMacs

      public static class JceMacs.Entry
      extends JceMacFactory.Entry

- - ### Field Summary

    - ### Fields inherited from class com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceMacFactory.Entry

      `algorithm, digestLength, keyLength, name, NONE, provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(java.lang.String name, java.lang.String algorithm, java.lang.Object provider, int digestLength, int keyLength)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JceMacFactory` | `update(JceMacFactory factory, java.security.Provider provider)`
    `JceMacFactory` | `update(JceMacFactory factory, java.lang.String provider)`

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceMacFactory.Entry

      `clientToServer, entryFor, entryFor, serverToClient, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          public Entry(java.lang.String name,
                       java.lang.String algorithm,
                       java.lang.Object provider,
                       int digestLength,
                       int keyLength)

  - ### Method Detail

    - #### update

          public JceMacFactory update(JceMacFactory factory,
                                      java.lang.String provider)

    - #### update

          public JceMacFactory update(JceMacFactory factory,
                                      java.security.Provider provider)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved